Bug 1573241 - Repository selection not working on Activation Key's 'Repository Sets' tab
Summary: Repository selection not working on Activation Key's 'Repository Sets' tab
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Activation Keys
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 15:02 UTC by hprakash
Modified: 2020-05-13 10:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description hprakash 2018-04-30 15:02:26 UTC
Description of problem:
'Select all' checkbox selects every listed repository which is even not listed(filtered out)

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
webUI->Content->Activation Keys->select the key->Repository Sets->Apply any filter(e.g. 6), it will filter the listed repository list->click on the top most check box(in the column to the left of 'Repository Name') to select all the listed rows-> remove the filter->All the rows will be selected or the 'select action' will be applied to all rows.

Actual results:
all the repositories are getting selected regardless applied filter.

Expected results:
Only the filtered list of repositories should be selected when checking 'Select all' check box.

Additional info:

Comment 4 Bryan Kearney 2019-11-04 14:34:26 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 7 Perry Gagne 2019-11-25 16:17:40 UTC
Cole is the new Component owner for Activation Keys, assigning to him. 

Cole, let me know if you have any questions on these or need help verifying them.


Note You need to log in before you can comment on or make changes to this bug.